# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.62"
name = "nextest-runner"
version = "0.27.0"
description = "Core runner logic for cargo nextest."
documentation = "https://docs.rs/nextest-runner"
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/nextest-rs/nextest"

[[bin]]
name = "passthrough"
path = "test-helpers/passthrough.rs"

[dependencies.aho-corasick]
version = "0.7.19"

[dependencies.async-scoped]
version = "0.7.0"
features = ["use-tokio"]

[dependencies.atomicwrites]
version = "0.3.1"

[dependencies.bytes]
version = "1.2.1"

[dependencies.camino]
version = "1.1.1"
features = ["serde1"]

[dependencies.cargo_metadata]
version = "0.14.2"

[dependencies.cfg-if]
version = "1.0.0"

[dependencies.chrono]
version = "0.4.22"

[dependencies.config]
version = "0.13.2"
features = ["toml"]
default-features = false

[dependencies.debug-ignore]
version = "1.0.3"

[dependencies.either]
version = "1.8.0"

[dependencies.futures]
version = "0.3.24"

[dependencies.guppy]
version = "0.14.3"

[dependencies.home]
version = "0.5.4"

[dependencies.http]
version = "0.2.8"

[dependencies.humantime-serde]
version = "1.1.1"

[dependencies.indent_write]
version = "2.2.0"

[dependencies.indicatif]
version = "0.17.1"

[dependencies.is_ci]
version = "1.1.1"

[dependencies.itertools]
version = "0.10.5"

[dependencies.log]
version = "0.4.17"

[dependencies.mukti-metadata]
version = "0.1.0"
optional = true

[dependencies.nextest-filtering]
version = "0.2.1"

[dependencies.nextest-metadata]
version = "0.6.0"

[dependencies.nextest-workspace-hack]
version = "0.1"

[dependencies.num_cpus]
version = "1.13.1"

[dependencies.once_cell]
version = "1.15.0"

[dependencies.owo-colors]
version = "3.5.0"

[dependencies.quick-junit]
version = "0.3.0"

[dependencies.rand]
version = "0.8.5"

[dependencies.regex]
version = "1.6.0"

[dependencies.self_update]
version = "0.32.0"
features = [
    "archive-tar",
    "compression-flate2",
    "rustls",
]
optional = true
default-features = false

[dependencies.semver]
version = "1.0.14"

[dependencies.serde]
version = "1.0.145"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.86"

[dependencies.serde_path_to_error]
version = "0.1.8"

[dependencies.shell-words]
version = "1.1.0"

[dependencies.strip-ansi-escapes]
version = "0.1.1"

[dependencies.tar]
version = "0.4.38"

[dependencies.target-spec]
version = "1.2.0"

[dependencies.tempfile]
version = "3.3.0"

[dependencies.thiserror]
version = "1.0.37"

[dependencies.tokio]
version = "1.21.1"
features = [
    "io-util",
    "macros",
    "process",
    "rt",
    "rt-multi-thread",
    "signal",
    "sync",
    "time",
]

[dependencies.toml_edit]
version = "0.14.4"
features = ["easy"]

[dependencies.twox-hash]
version = "1.6.3"
default-features = false

[dependencies.uuid]
version = "1.1.2"
features = ["v4"]

[dependencies.zstd]
version = "0.11.2"
features = ["zstdmt"]

[dev-dependencies.color-eyre]
version = "0.6.2"
default-features = false

[dev-dependencies.duct]
version = "0.13.5"

[dev-dependencies.indoc]
version = "1.0.7"

[dev-dependencies.maplit]
version = "1.0.2"

[dev-dependencies.pathdiff]
version = "0.2.1"
features = ["camino"]

[dev-dependencies.pretty_assertions]
version = "1.3.0"

[dev-dependencies.proptest]
version = "1.0.0"

[dev-dependencies.proptest-derive]
version = "0.3.0"

[dev-dependencies.test-case]
version = "2.2.2"

[features]
self-update = [
    "self_update",
    "mukti-metadata",
]

[target."cfg(unix)".dependencies.libc]
version = "0.2.135"

[target."cfg(windows)".dependencies.win32job]
version = "1.0.2"

[target."cfg(windows)".dependencies.windows]
version = "0.42.0"
features = [
    "Win32_Foundation",
    "Win32_System_Console",
    "Win32_System_JobObjects",
]
